body,
html {
  margin: 0;
  padding: 0;
}

.header {
  height: 100px;
  border-bottom: 2px solid rgb(223, 219, 219);
  box-shadow: 0 2px 2px rgba(102, 101, 101, 0.26);
}

.header-div {
  height: 100px;
  margin: 0 auto;
  width: 850px;
}

.logo {
  margin-top: 10px;
  height: 70px;
}

.header-div h1 {
  font-family: 'Quicksand', sans-serif;
  position: relative;
  display: inline-block;
  font-size: 40px;
  margin-left: 10px;
  bottom: 20px;
}

.menu {
  display: none;
}

.navbar {
  width: 850px;
  margin: 0 auto;
}

ul {
  width: 100%;
  padding: 0;
  margin: 0;
}

li {
  /*copied. I used Flex : space between property*/
  box-sizing: border-box;
  width: 24%;
  display: inline-block;
  text-align: center;
  padding: 24px;
  font-size: 12px;
}

li a {
  text-decoration: none;
  color: black;
}

.main-container {
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.26);
  position: relative;
  width: 850px;
  margin: 0 auto;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.upper-page-flex {
  display: flex;
  flex-wrap: wrap;
}

.banner {
  height: 284px;
  position: relative;
  width: 60%;
}

.banner img {
  position: relative;
  height: 100%;
  width: 100%;
}

.news-header {
  position: absolute;
  bottom: 0;
  background: rgba(7, 7, 7, 0.3);
  color: white;
  padding: 5px;
}

.weather {
  position: relative;
  width: 40%;
}

.city-name h1 {
  margin: 4px 5px;
}

.city-name p {
  margin: 5px;
}

.weather-icon img {
  height: 90px;
}

.weather-icon p {
  display: inline-block;
  position: relative;
  bottom: 40px;
  font-size: 170%;
  margin: 0;
}

.table-class table {
  width: 100%;
}

.table-class tr {
  text-align: center;
}

.table-class td {
  font-size: 14px;
}

.table-class img {
  height: 45px;
}

.top-news-div {
  width: 100%;
}

.top-news {
  padding: 1%;
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid black;
  color: rgb(139, 136, 136);
}

.news {
  border-bottom: 1px solid black;
  padding: 2%;
  font-size: 14px;
  margin: 5px;
}

.score-table {
  width: 100%;
}

.score-table table {
  border-collapse: collapse;
  border: none;
  width: 100%;
}

.score-table th {
  color: white;
  font-size: 105%;
  padding: 1%;
  background: rgb(50, 91, 97);
}

.score-table tr:nth-child(odd) {
  background: rgb(226, 222, 222);
}

.score-table td {
  font-size: 105%;
  padding: 1%;
  text-align: center;
}

.latest-news {
  padding: 1%;
  width: 100%;
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid black;
  color: rgb(139, 136, 136);
}

.article {
  margin-top: 4%;
}

article {

  padding: 2%;
  position: relative;
  border-bottom: 1px solid rgb(214, 211, 211);
}

article img {
  margin: 1%;
  margin-right: 2%;
  float: left;
  height: 100px;
}

article p {
  margin: 1%;
  position: relative;
  font-size: 120%;
}

footer {
  padding: 10px;
  width: 100%;
  display: grid;
  grid-template-columns: 20% 40% 60%;
  margin-top: 1%;
  font-size: 100%;
  border-bottom: 1px solid rgb(160, 158, 158);
}


/* navigation bar fixed */

@media screen and (max-width :850px) {
  .navbar {
    width: 100%;
    margin: 0 auto;
  }

  .main-container {
    width: 100%;
  }
}





@media screen and (max-width : 550px) {

  /* HEADER Start */

  .header {
    height: 60px;
    /* background : red;*/
  }

  .header-div {
    margin: 0 auto;
    width: 100%;
    height: 60px;
  }

  .logo {
    margin-top: 2px;
    height: 50px;
  }

  .header-div h1 {
    position: relative;
    display: inline-block;
    font-size: 18px;
    margin-left: 1px;
  }

  .menu {
    display: inline-block;
    float: right;
    margin: 2px 0;
  }

  .menu img {
    width: 50px;
  }

  .weather {
    width: 100%;
    order: 4;
  }

  .city-name h1 {
    font-size: 20px;
    margin: 4px 5px;
  }

  .city-name p {
    font-size: 15px;
    margin: 5px;
  }


  .navbar {
    display: none;
  }

  .banner {
    width: 100%;
    height: 250px;
  }

  .banner img {
    position: relative;
    width: 100%;
  }

  .news-header {
    position: absolute;
    bottom: 0;
    background: rgba(7, 7, 7, 0.3);
    color: white;
    padding: 5px;
  }

  .news-header h3 {
    font-size: 15px;
  }

  .news-header p {
    font-size: 12px;
  }

  .news-section {
    width: 100%;
  }

  .news {
    border-bottom: 1px solid black;
    padding: 1%;
    font-size: 70%;
  }


  .score-table {
    width: 100%;
  }

  .score-table table {
    width: 100%;
    border-collapse: collapse;
    border: none;

  }

  .score-table table th {
    color: white;
    font-size: 85%;
    padding: 2%;
    background: rgb(50, 91, 97);
  }

  .score-table table td {
    font-size: 75%;
    padding: 2%;
    text-align: center;
  }


  article img {
    margin: 1%;
    margin-right: 2%;
    float: left;
    height: 100px;
  }

  article p {
    margin: 1%;
    position: relative;
    font-size: 80%;
  }

  /* Article End */

  footer {
    display: grid;
    grid-template-columns: 20% 40% 60%;
    margin-top: 1%;
    font-size: 85%;
    border-top: 1px solid rgb(160, 158, 158);
    border-bottom: 1px solid rgb(160, 158, 158);
  }

}